<?php

include 'db.php';

?>
        
<html>
  <head>
    <title>Osoby</title>
    <meta charset="utf-8">
  </head>
  <body>

    <table border=1 cellpadding=10 cellspacing=0>
      <thead>
        <tr>
          <td>Imię</td><td>Nazwisko</td><td>Płeć</td><td>Języki</td><td>Kraje</td><td>Uwagi</td><td></td>
        </tr> 
      </thead>
      <tbody>
<?php
  $sth = $db->prepare('select * from osoby order by nazwisko');
  $sth->execute();
  while ($row = $sth->fetch(PDO::FETCH_ASSOC)) {
    $osoba_id = $row['id'];
    $imie = $row['imie'];
    $nazwisko = $row['nazwisko'];
    $plec = $row['plec'];
    $uwagi = $row['uwagi'];
    
    
    $jezyki = array();
    $sth2 = $db->prepare(sprintf('select * from jezyki where id in 
        (select jezyk from osoby_jezyki where osoba = %d) order by jezyk', $osoba_id));
    $sth2->execute();
    while ($row2 = $sth2->fetch(PDO::FETCH_ASSOC)) {
        $jezyki[] = $row2['jezyk'];
    }
    
    
    $kraje = array();
    $sth2 = $db->prepare(sprintf('select * from kraje where id in 
        (select kraj from osoby_kraje where osoba = %d) order by kraj', $osoba_id));
    $sth2->execute();
    while ($row2 = $sth2->fetch(PDO::FETCH_ASSOC)) {
        $kraje[] = $row2['kraj'];
    }

    $usun = sprintf('<a href="usun.php?id=%d">Usuń</a>', $osoba_id);
    $edycja = sprintf('<a href="edycja.php?id=%d">Edycja</a>', $osoba_id);
    
    printf('<tr><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td></tr>', 
      $imie, $nazwisko, $plec, implode(', ', $jezyki), implode(', ', $kraje), $uwagi, $usun . ' &nbsp; ' . $edycja);
  }
?>
      </tbody>
    </table>
         
   <p>
   <a href="formularz.php">Formularz</a>      
  </body>
</html> 
        
